#pragma semicolon 1
#include <sourcemod>
#include <sdktools>
#define PL_VERSION "0.1"

public Plugin:myinfo =
{
	name        = "dod_gungame_endoverlay_addon_bw",
	author      = "Darkranger",
	description = "Addon DoD:S GunGame End Overlay Black/White - shows an Black/White overlay at round end",
	version     = PL_VERSION,
	url         = "http://www.dodsourceplugins.net"
}

new Handle:g_overlaytime;


public OnPluginStart()
{
	CreateConVar("sm_gungame_addon_endoverlay_bw", PL_VERSION, "DoD:S GunGame Black/White Round End Overlay", FCVAR_DONTRECORD|FCVAR_PLUGIN|FCVAR_NOTIFY);
	g_overlaytime = CreateConVar("sm_gungame_endoverlaytime_bw",  "15", "Time in Seconds for Round End Overlay Black/White - must be lower then CVAR sm_gungame_bonustime", FCVAR_PLUGIN, true, 0.0, true, 60.0);
	AutoExecConfig(true, "dod_gungame_config_endoverlay_bw", "dod_gungame_config");
}


public g_RoundEndOverlay()
{
	for(new i = 1; i <= MaxClients; i++)
	{
		if(IsClientConnected(i) && IsClientInGame(i))
		{
			ClientCommand(i, "r_screenoverlay debug/yuv.vmt");
			CreateTimer(GetConVarFloat(g_overlaytime), removeoverlay, i);
		}
	}
}

public OnClientAuthorized(client, const String:steamid[])
{
	ClientCommand(client, "r_screenoverlay 0");
}

public Action:removeoverlay(Handle:timer, any:client)
{
		if(IsClientConnected(client))
		{
			ClientCommand(client, "r_screenoverlay 0");
		}
}