//
// SourceMod Script
//
// Developed by Misery
//
// DECEMBER 2008
//
// Description : Sound to joinserver
//
// http://thelw.forum-actif.net
//


#include <sourcemod>
#include <sdktools>

#define PLUGIN_VERSION "1.1gg"
#define MAXSOUNDS 5

new SoundAlea

// Plugin definitions
public Plugin:myinfo =
{
	name = "dod_gungame_joinsound_addon",
	author = "Misery, Darkranger",
	description = "Random Join Sound for DODS Gungame",
	version = PLUGIN_VERSION,
	url = "http://thelw.forum-actif.net"
};

new String:js_add_sounds_name[][] =
	{
	"sound/gungame/music/intro1.mp3",
	"sound/gungame/music/intro2.mp3",
	"sound/gungame/music/intro3.mp3",
	"sound/gungame/music/intro4.mp3",
	"sound/gungame/music/intro5.mp3"
	}

new String:js_pre_sounds_name[][] =
	{
	"gungame/music/intro1.mp3",
	"gungame/music/intro2.mp3",
	"gungame/music/intro3.mp3",
	"gungame/music/intro4.mp3",
	"gungame/music/intro5.mp3"
	}

public OnPluginStart()
{
	CreateConVar("sm_gungame_joinsoundaddon_version", PLUGIN_VERSION, "DODS GunGame Join Sound Addon", FCVAR_PLUGIN|FCVAR_SPONLY|FCVAR_REPLICATED|FCVAR_NOTIFY)
}

public OnMapStart()
{
	//sounds add
	for (new i = 0; i < MAXSOUNDS; i++)
	{
		AddFileToDownloadsTable(js_add_sounds_name[i])
	}

	//sounds precache
	for (new j = 0; j < MAXSOUNDS; j++)
	{
		PrecacheSound(js_pre_sounds_name[j], true)
	}
}

public OnClientPutInServer(client)
{
	if ((client == 0) || !IsClientConnected (client))
	{
		return
	}

	SoundAlea = GetRandomInt(0, MAXSOUNDS - 1)

	EmitSoundToClient(client, js_pre_sounds_name[SoundAlea])
}