LoadConfig()
{
	decl String:sPath[PLATFORM_MAX_PATH];
	new Handle:hConfig          = CreateKeyValues("GunGame");
	BuildPath(Path_SM, sPath, sizeof(sPath), "configs/gungame_sound.txt");
	if (FileExists(sPath))
	{
		FileToKeyValues(hConfig, sPath);
		KvRewind(hConfig);
		KvJumpToKey(hConfig, "Sounds");
		KvGetString(hConfig, "Join",       g_sSoundJoin,       PLATFORM_MAX_PATH);
		KvGetString(hConfig, "LevelUp",    g_sSoundLevelUp,    PLATFORM_MAX_PATH);
		KvGetString(hConfig, "LevelDown",  g_sSoundLevelDown,  PLATFORM_MAX_PATH);
		KvGetString(hConfig, "LevelSteal", g_sSoundLevelSteal, PLATFORM_MAX_PATH);
		KvGetString(hConfig, "LevelLast", g_sSoundLevelLast,   PLATFORM_MAX_PATH);
		KvGetString(hConfig, "Win",        g_sSoundWin,        PLATFORM_MAX_PATH);
		KvGetString(hConfig, "vote",        g_sSoundvote,        PLATFORM_MAX_PATH);

		if (!StrEqual(g_sSoundJoin,       ""))
		{
			LoadSound(g_sSoundJoin);
		}
		if (!StrEqual(g_sSoundLevelUp,    ""))
		{
			LoadSound(g_sSoundLevelUp);
		}
		if (!StrEqual(g_sSoundLevelDown,  ""))
		{
			LoadSound(g_sSoundLevelDown);
		}
		if (!StrEqual(g_sSoundLevelSteal, ""))
		{
			LoadSound(g_sSoundLevelSteal);
		}
		if (!StrEqual(g_sSoundLevelLast, ""))
		{
			LoadSound(g_sSoundLevelLast);
		}
		if (!StrEqual(g_sSoundWin,        ""))
		{
			LoadSound(g_sSoundWin);
		}
		if (!StrEqual(g_sSoundvote,        ""))
		{
			LoadSound(g_sSoundvote);
		}
	}
	else
	{
		SetFailState("File Not Found: %s", sPath);
	}
	CloseHandle(hConfig);
}

LoadConfig2()
{
	decl String:sLevel[4], String:sPath[PLATFORM_MAX_PATH], String:sWeapon[16],
			 String:sWeapons[22][16] = {"colt", "p38", "c96", "garand", "k98", "k98_scoped", "m1carbine", "spring", "thompson", "mp40", "mp44", "bar", "30cal", "mg42", "bazooka", "pschreck", "frag_us", "frag_ger", "smoke_us", "smoke_ger", "riflegren_us", "riflegren_ger"};

	new  iLevel = 1,
	iOffsets[22] = { 4, 8, 12, 16, 20, 20, 24, 28, 32, 32, 32, 36, 40, 44, 48, 48, 52, 56, 68, 72, 84, 88},
	Handle:hConfig          = CreateKeyValues("GunGame");
	if (GetConVarInt(g_gungame_custom_on) == 0)
	{
		BuildPath(Path_SM, sPath, sizeof(sPath), "configs/gungame.txt");
	}
	if (GetConVarInt(g_gungame_custom_on) == 1)
	{
		BuildPath(Path_SM, sPath, sizeof(sPath), "configs/gungame_spade.txt");
	}
	if (GetConVarInt(g_gungame_custom_on) == 2)
	{
		BuildPath(Path_SM, sPath, sizeof(sPath), "configs/gungame_custom.txt");
	}
	if (FileExists(sPath))
	{
		for (new i = 0; i < sizeof(g_sWeapon); i++)
		{
			g_iAmmo[i]   = g_iOffset;
			g_sWeapon[i] = "";
		}
		FileToKeyValues(hConfig, sPath);
		KvJumpToKey(hConfig, "Levels");
		KvGetString(hConfig, "1", sWeapon, sizeof(sWeapon));

		while (!StrEqual(sWeapon, ""))
		{
			g_sWeapon[iLevel] = sWeapon;

			IntToString(++iLevel, sLevel, sizeof(sLevel));
			KvGetString(hConfig,  sLevel, sWeapon, sizeof(sWeapon));
		}
		KvRewind(hConfig);
		g_iLevels  = --iLevel;
		for (new i = 1, j; i <= g_iLevels; i++)
		{
			for (j   = 0; j < sizeof(sWeapons); j++)
			{
				if (StrEqual(g_sWeapon[i], sWeapons[j]))
				{
					g_iAmmo[i] += iOffsets[j];
					break;
				}
			}
		}
	}
	else
	{
		SetFailState("File Not Found: %s", sPath);
	}
	CloseHandle(hConfig);
}

LoadSound(const String:sFile[])
{
	decl String:sPath[PLATFORM_MAX_PATH];
	Format(sPath, sizeof(sPath), "sound/%s", sFile);
	PrecacheSound(sFile, true);
	AddFileToDownloadsTable(sPath);
}