// VERSION 3.3
// splitted into more SP files!
// removed stupid complicated CVar sm_gungame_punishment_down! now controlled through sm_gungame_punishment!
// reworked punishment with 2 new options. ( 4 = Give Spade & Give Health, 5 = Give Spade & Give Health & Level loss)
// the Health comes from the Cvar "sm_gungame_spadeknifehealth"
// the "no weapon" bug should be fixed. as workaround
// i check now 2 seconds after spawning if you have a weapon. if you have nothing, you got a spade.
//
// added Database function (MYSQL) to store Gungame Winner - you must setup your sourcemod database.cfg to your values!
// this is only functional if you have a MYSQL Server running!!
// if you do it, dont forget to enable it: sm_gungame_database_winner "1" !!
// added Top10 website chat command! "!ggtop" cvar: sm_gungame_database_web
//
// VERSION 3.4
// added the option to give a player on levelup a certain amount of health.
// removed gamedescription!
//
// VERSION 3.5
// changed random player class to rifleman (did not spam chat now !!)
//
// VERSION 3.6 + 3.7
// some little codes improvements
//
// VERSION 3.9
// some changes in runcommand with spade & bonusround
// VERSION 4.0
// removed dodhooks
//
// Version 4.1
// added some checks against Weapon Bug (thanks to angry Turkey for helping)
// now you can change the custom weapon list during game. simply type sm_gungame_custom 0 or 1 or 2 (the levels will be set to 0)
//
// VERSION 4.2
// added CallForwards for DOD Stats (OnLevelUp OnLevelDown OnLevelSteal OnGGWin )
//
// VERSION 4.3
// added a new check about weapon bug!
//
// VERSION 4.4
// changed getclientauthstring (882 and database.sp)
//
//

#pragma semicolon 1
#include <sourcemod>
#include <sdktools>
#include <sdkhooks>
#define ALLIES	2
#define AXIS	3
#define PLUGIN_VERSION "4.4"

static const String:g_szGrenadeTypes[][] = {"grenade_frag_us","grenade_frag_ger"};
static const String:g_szObjectives[][] = {"dod_bomb_target","dod_capture_area"};
static const String:g_szTeamWalls[][] = {"func_team_wall","func_teamblocker"};

public Plugin:myinfo = {
	name        = "DoD:S GunGame",
	author      = "Darkranger (orig. by Tsunami), Feuersturm, Andersso and others",
	description = "DoD:S GunGame for SourceMod",
	version     = PLUGIN_VERSION,
	url         = "http://dodsplugins.com"
}

#include "gungame\database.sp"
#include "gungame\init.sp"
#include "gungame\pluginstart.sp"
#include "gungame\eventshutdown.sp"
#include "gungame\loadconfig.sp"
#include "gungame\mapend.sp"
#include "gungame\no_weapon_check.sp"

public OnClientPutInServer(client)
{
	SDKHook(client, SDKHook_OnTakeDamage, OnTakeDamage);
	CreateTimer(30.0, Announcegghelp, client, TIMER_FLAG_NO_MAPCHANGE);
	CreateTimer(35.0, Announceggtop10, client, TIMER_FLAG_NO_MAPCHANGE);
	g_iLevel[client] = 1;
	g_iOldLevel[client] = 1;
	g_iWeapon[client]  = -1;
}

public Action:Announcegghelp(Handle:timer, any:client)
{
	if(IsClientInGame(client))
	PrintToChat(client, "%s%t", g_sPrefix, "gg help");
}

public Action:Announceggtop10(Handle:timer, any:client)
{
	if (GetConVarFloat(g_database_winner) == 1)
	{
		if(IsClientInGame(client))
		PrintToChat(client, "%s%t", g_sPrefix, "gg top10");
	}
}


public OnMapStart()
{
	g_hNextMap    = FindConVar("sm_nextmap");
	g_ggWinner = -1;
	LoadConfig();
	votebeforeendvar = 0;
	PrecacheSound(FlagSnd, true);
	g_iBeamSprite = PrecacheModel("materials/sprites/laser.vmt");
	g_offset1rapid = FindSendPropOffs("CBaseCombatWeapon", "m_flNextPrimaryAttack");
	g_offset2rapid = FindSendPropOffs("CBaseCombatWeapon", "m_iClip1");
	ServerCommand("mp_limit_allies_rifleman -1");
	ServerCommand("mp_limit_axis_rifleman -1");

}

public OnRoundStart()
{
	RemoveFlagSound();
}

public OnConfigsExecuted()
{
	LoadConfig2();
}

public OnClientDisconnect(client)
{
	KillSpawnProtTimer(client);
	SDKUnhook(client, SDKHook_OnTakeDamage, OnTakeDamage);
}

public Action:OnPlayerRunCmd(client, &buttons, &impulse, Float:vel[3], Float:angles[3], &weapon)
{
	if ((g_ggWinner != -1) || StrEqual(g_sWeapon[g_iLevel[client]], "spade") || StrEqual(g_sWeapon[g_iLevel[client]], "amerknife"))
	{
		buttons & IN_SPEED &&  buttons & IN_FORWARD ? SetEntPropFloat(client, Prop_Send, "m_flStamina", 90.0):0;
		buttons & IN_SPEED &&  buttons & IN_FORWARD ? SetEntPropFloat(client, Prop_Send, "m_flLaggedMovementValue", GetConVarFloat(g_runspeed)):0;
	}
}

public OnGameFrame()
{
	if (g_bEnabled && g_ggWinner == -1)
	{
		for (new i    = 1, iAmmo, iAmount; i <= MaxClients; i++)
		{
			if (IsClientInGame(i) && IsPlayerAlive(i) && !StrEqual(g_sWeapon[g_iLevel[i]], "frag_ger") && !StrEqual(g_sWeapon[g_iLevel[i]], "frag_us"))
			{
				if(!StrEqual(g_sWeapon[g_iLevel[i]], "spade") && !StrEqual(g_sWeapon[g_iLevel[i]], "amerknife"))
				{
					iAmmo     = g_iAmmo[GetLevel(i)], iAmount = g_iAmount[i];
					if (iAmmo > g_iOffset && GetEntData(i, iAmmo) <= iAmount)
					{
						SetEntData(i, iAmmo, iAmount * 2, _, true);
					}
				}
				else
				{
					if ((g_bDoubleJump) && IsClientInGame(i) && IsPlayerAlive(i))
					{
						DoubleJump(i);
					}
				}
			}
		}
	}
	// GIVE CLIENTs SPEED after WIN
	if (g_ggWinner != -1)
	{
		for(new client = 1; client <= MaxClients; client++)
		{
			if(IsClientInGame(client) && IsPlayerAlive(client))
			{
				if ((g_bDoubleJump) && IsClientInGame(client) && IsPlayerAlive(client))
				{
					DoubleJump(client);
				}
			}
			if((GetConVarInt(g_SpecLockGG) == 1) && IsClientInGame(client))
			{
				new team = GetClientTeam(client);
				if(team == 1) //1=SPEC 2=US 3=WEHRMACHT
				{
					EmitSoundToClient(client, "common/weapon_denyselect.wav");
					PrintCenterText(client, "SPECTATOR IS LOCKED");
					PrintToChat(client, "SPECTATOR IS LOCKED");
					new team1;
					new team2;
					for (new i = 1; i < GetMaxClients(); i++)
					{
						if(IsClientInGame(i))
						{
							if(GetClientTeam(i) == 2)
							team1++;
							else if(GetClientTeam(i) == 3)
							team2++;
						}
					}
					if (team1 <= team2)
					{
						FakeClientCommandEx(client, "jointeam 2");
						CreateTimer(0.1, randomjoinclass, client, TIMER_FLAG_NO_MAPCHANGE);
					}
					if (team2 < team1)
					{
						FakeClientCommandEx(client, "jointeam 3");
						CreateTimer(0.1, randomjoinclass, client, TIMER_FLAG_NO_MAPCHANGE );
					}
				}
			}
		}
	}
}

public Action:Event_PlayerSpawn(Handle:event, const String:name[], bool:dontBroadcast)
{
	if (g_bEnabled)
	{
		new iClient = GetClientOfUserId(GetEventInt(event, "userid"));
		if (GetClientTeam(iClient) > 1)
		{
			if ((GetConVarInt(g_gungame_custom_on) == 1) && IsClientConnected(iClient))
			{
				decl String:customtext1[256];
				GetConVarString(g_gungame_customtext1, customtext1, sizeof(customtext1));
				PrintCenterText(iClient, "%s", customtext1);
				PrintToChat(iClient, "%s >> %s", g_sPrefix, customtext1);
			}
			if ((GetConVarInt(g_gungame_custom_on) == 2) && IsClientConnected(iClient))
			{
				decl String:customtext2[256];
				GetConVarString(g_gungame_customtext2, customtext2, sizeof(customtext2));
				PrintCenterText(iClient, "%s", customtext2);
				PrintToChat(iClient, "%s >> %s", g_sPrefix, customtext2);
			}
			GetClientAbsOrigin(iClient, g_fPosition[iClient]);
			for (new i = 0, s; i < 5; i++)
			{
				if ((s = GetPlayerWeaponSlot(iClient, i)) != -1)
				{
					RemoveWeapon(iClient, s);
				}
			}
			if(g_ggWinner != -1)
			{
				GivePlayerItem(iClient, "weapon_spade");
				return;
			}
			new iLevel        = g_iLevel[iClient];
			g_iWeapon[iClient] = -1;
			PrintToChat(iClient, "%s%t", g_sPrefix, "Level", 4, iLevel, 1, 4, g_sWeapon[iLevel]);
			if(iClient > 0 && iClient <= MaxClients && IsClientInGame(iClient) && IsPlayerAlive(iClient))
//			if((IsClientInGame(iClient)) && (IsPlayerAlive(iClient)))
			{
				GiveWeapon(iClient);
			}
			if (GetConVarBool(g_hSpades) && !StrEqual(g_sWeapon[iLevel], "amerknife") && !StrEqual(g_sWeapon[iLevel], "spade"))
			{
				GivePlayerItem(iClient, "weapon_spade");
			}
			if (IsValidClient(iClient))
			{
				CreateTimer(0.1, NoWeaponCheck, iClient, TIMER_FLAG_NO_MAPCHANGE);
			}	
		}
	}
}

public Action:OnPlayerSpawn(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if(GetConVarInt(SpawnProtectOn) == 1 && IsPlayerValid(client))
	{
		KillSpawnProtTimer(client);
		IsProtected[client] = true;
		SetEntProp(client, Prop_Data, "m_takedamage", 0, 1);
		if(GetConVarInt(SpawnProtectMsg) == 1)
		{
			CreateTimer(0.1, DisplayMsgOn, client, TIMER_FLAG_NO_MAPCHANGE);
		}
		new team = GetClientTeam(client);
		if(team == ALLIES)
		{
			SetEntityRenderColor(client, 0, 255, 0, 255);
			SpawnProtectTimer[client] = CreateTimer(GetConVarFloat(SpawnProtectTime), SpawnProtectOff, client, TIMER_FLAG_NO_MAPCHANGE);
		}
		else if(team == AXIS)
		{
			SetEntityRenderColor(client, 255, 0, 0, 255);
			SpawnProtectTimer[client] = CreateTimer(GetConVarFloat(SpawnProtectTime), SpawnProtectOff, client, TIMER_FLAG_NO_MAPCHANGE);
		}
		return Plugin_Continue;
	}
	return Plugin_Continue;
}

public Action:Event_PlayerDeath(Handle:event, const String:name[], bool:dontBroadcast)
{
	if (g_bEnabled && g_ggWinner == -1)
	{
		decl Float:fPosition[3], String:sWeapon[16];
		new iAttackerID = GetEventInt(event, "attacker"),
				iClientID   = GetEventInt(event, "userid"),
				iAttacker   = GetClientOfUserId(iAttackerID),
				iClient     = GetClientOfUserId(iClientID);
		GetClientAbsOrigin(iClient, fPosition);
		GetEventString(event, "weapon", sWeapon, sizeof(sWeapon));

		if (IsValidEntity(g_iWeapon[iClient]))
		{
			RemoveWeapon(iClient, g_iWeapon[iClient]);
		}
		if (iAttacker == 0 || iAttacker == iClient)
		{
			if ((g_iLevel[iClient] > 1) && !IsFakeClient(iClient))
			//if (g_iLevel[iClient] > 1)
			{
				g_iLevel[iClient]--;
				PrintToChatAll("%s%t", g_sPrefix, "Suicide", 4, iClient, 1);
				LogEvent("gg_leveldown",    iClientID);
				Call_StartForward(OnLevelDown);
				Call_PushCell(iClient);
				Call_Finish();

				if (!StrEqual(g_sSoundLevelDown,    ""))
				{
					EmitSoundToClient(iClient, g_sSoundLevelDown);
				}
			}
		}
		else if	((GetClientTeam(iAttacker) == GetClientTeam(iClient)) && (GetConVarInt(g_gungame_punishment) == 1))
		{
			if (IsClientInGame(iAttacker) && IsPlayerAlive(iAttacker))
			{
				if ((g_iLevel[iAttacker] > 2) && !IsFakeClient(iAttacker))
				{
					g_iLevel[iAttacker]--;
					PrintToChatAll("%s%t", g_sPrefix, "Team Kill", 4, iAttacker, 1);
					LogEvent("gg_leveldown", iAttackerID);
					Call_StartForward(OnLevelDown);
					Call_PushCell(iAttacker);
					Call_Finish();
					if (!StrEqual(g_sSoundLevelDown,    ""))
					{
						EmitSoundToClient(iAttacker, g_sSoundLevelDown);
					}
					CreateTimer(0.1, Timer_Give, iAttacker, TIMER_FLAG_NO_MAPCHANGE);
				}
			}
		}
		else if ((GetClientTeam(iAttacker) == GetClientTeam(iClient)) && (GetConVarInt(g_gungame_punishment) == 2 || (GetConVarInt(g_gungame_punishment) == 4)))
		{
			if (IsClientInGame(iAttacker) && IsPlayerAlive(iAttacker) && !IsFakeClient(iAttacker))
			{
				CreateTimer(0.1, Spade_Loss, iAttacker, TIMER_FLAG_NO_MAPCHANGE);
			}
		}
		else if ((GetClientTeam(iAttacker) == GetClientTeam(iClient)) && (GetConVarInt(g_gungame_punishment) == 3 || (GetConVarInt(g_gungame_punishment) == 5)))
		{
			if (IsClientInGame(iAttacker) && IsPlayerAlive(iAttacker) && !IsFakeClient(iAttacker))
			{
				if ((g_iLevel[iAttacker] > 2) && !IsFakeClient(iAttacker))
				{
					g_iLevel[iAttacker]--;
					PrintToChatAll("%s%t", g_sPrefix, "Team Kill", 4, iAttacker, 1);
					LogEvent("gg_leveldown", iAttackerID);
					Call_StartForward(OnLevelDown);
					Call_PushCell(iAttacker);
					Call_Finish();
				}	
				if (!StrEqual(g_sSoundLevelDown,    ""))
				{
					EmitSoundToClient(iAttacker, g_sSoundLevelDown);
				}
				CreateTimer(0.1, Spade_Loss, iAttacker, TIMER_FLAG_NO_MAPCHANGE);
			}
		}
		else if (GetClientTeam(iAttacker) != GetClientTeam(iClient) && (StrEqual(sWeapon, g_sWeapon[GetLevel(iAttacker)]) || StrEqual(sWeapon, "spade")))
		{
			if (fPosition[0] == g_fPosition[iClient][0] && fPosition[1] == g_fPosition[iClient][1])
			{
				PrintHintText(iAttacker, "%t", "AFK", iClient);
			}
			else if (g_iLevel[iAttacker]++ < g_iLevels)
			{
				if (GetConVarBool(g_hSpades)   && GetConVarBool(g_hSpadePro) &&
						StrEqual(sWeapon, "spade") && g_iLevel[iClient] > 1)
						{
					g_iLevel[iClient]--;
					PrintToChatAll("%s%t", g_sPrefix, "Steal", 4, iAttacker, 1, 4, iClient, 1);
					LogEvent("gg_levelsteal", iAttackerID);
					Call_StartForward(OnLevelSteal);
					Call_PushCell(iAttacker);
					Call_Finish();
					LogEvent("gg_leveldown",  iClientID);
					Call_StartForward(OnLevelDown);
					Call_PushCell(iClient);
					Call_Finish();

					if (!StrEqual(g_sSoundLevelSteal, ""))
					{
						EmitSoundToClient(iAttacker, g_sSoundLevelSteal);
					}
					if (!StrEqual(g_sSoundLevelDown,  ""))
					{
						EmitSoundToClient(iClient,   g_sSoundLevelDown);
					}
					// SOUND LAST LEVEL
					if (g_iLevel[iAttacker] == g_iLevels)
					{
						EmitSoundToClient(iAttacker, g_sSoundLevelLast);
						PrintToChatAll("%s \x06%N \x04%t", g_sPrefix, iAttacker, "lastlevel");
						if (GetConVarFloat(g_lastlevelcenterinfo) == 1)
						{
							PrintCenterTextAll("%s %N %t", g_sPrefix, iAttacker, "lastlevel");
						}
					}
				}
				else
				{
					// 3.4 GIVE HEALTH TO ATTACKER
					if(GetConVarInt(g_healthONlevelup) == 1)
					{
						new healthvar;
						new currentHealth;
						healthvar = (100 - GetConVarInt(g_healthONlevelupvar));
						currentHealth = GetEntProp(iAttacker, Prop_Send, "m_iHealth");
						if (currentHealth <= healthvar)
						{
							SetEntProp(iAttacker, Prop_Send, "m_iHealth", currentHealth + GetConVarInt(g_healthONlevelupvar));
						}
					}

					LogEvent("gg_levelup",    iAttackerID);
					Call_StartForward(OnLevelUp);
					Call_PushCell(iAttacker);
					Call_Finish();

					if (!StrEqual(g_sSoundLevelUp,    ""))
					{
						EmitSoundToClient(iAttacker, g_sSoundLevelUp);
					}

					// SOUND LAST LEVEL
					if (g_iLevel[iAttacker] == g_iLevels)
					{
						EmitSoundToClient(iAttacker, g_sSoundLevelLast);
						PrintToChatAll("%s \x06%N \x04%t", g_sPrefix, iAttacker, "lastlevel");
						if (GetConVarFloat(g_lastlevelcenterinfo) == 1)
						{
							PrintCenterTextAll("%s %N %t", g_sPrefix, iAttacker, "lastlevel");
						}
					}
					// VOTE x LEVELS BEFORE LAST LEVEL
					if ((g_iLevel[iAttacker] == (g_iLevels - ((GetConVarInt(g_votebeforeendlevel) -1)))) && (votebeforeendvar == 0) && (GetConVarFloat(g_votebeforeend) == 1))
					{
						ServerCommand("sm_mapvote_dontchange 0");
						ServerCommand("sm_mapvote_extend 0");
						ServerCommand("sm_mapvote_endvote 0");
						// NEW VOTE
						decl String:Runvote[256];
						GetConVarString(g_runvote, Runvote, sizeof(Runvote));
						ServerCommand("%s", Runvote);
						votebeforeendvar = 2;
						if (GetConVarFloat(g_votesoundfile) == 1)
						{
							EmitSoundToAll(g_sSoundvote);
						}
					}
				}

				new iLeader  = GetLeader(), iLevel = g_iLevel[iAttacker];
				if (IsPlayerAlive(iAttacker))
				{
					PrintToChat(iAttacker,   "%s%t", g_sPrefix, "Weapon",     4, g_sWeapon[iLevel]);
				}
				if (iLeader == iAttacker)
				{
					PrintToChatAll("%s%t", g_sPrefix, "Leader", 4, iAttacker, 1, 4, iLevel, 1);
				}
				else
				{
				new iLead  = g_iLevel[iLeader] - iLevel;
				if (iLead  > 0)
					{
					PrintToChat(iAttacker, "%s%t", g_sPrefix, "Difference", 4, iLead, 1, iLead == 1 ? "" : "s");
					}
				}

				if (GetConVarBool(g_hTurbo))
				{
					//UP 1 LEVEL
					CreateTimer(0.1, Timer_Give, iAttacker, TIMER_FLAG_NO_MAPCHANGE);
				}
				else
				{
					new Handle:hGive = CreateMenu(MenuHandler_Give);
					SetMenuTitle(hGive, "You have leveled up!");
					SetMenuExitButton(hGive, true);
					AddMenuItem(hGive, "", "Press 1 to get your next weapon.");
					DisplayMenu(hGive, iAttacker, MENU_TIME_FOREVER);
				}
			}
			else
			{
			 	if(g_ggWinner == -1)
				{
					g_ggWinner = iAttacker;
					if (GetConVarFloat(g_runvoteenable) == 0)
					{
						decl String:sNextMap[32];
						GetConVarString(g_hNextMap, sNextMap, sizeof(sNextMap));
						PrintToChatAll("%s%t", g_sPrefix, "Win", 4, iAttacker, 1, 4, sNextMap);
					}
					if (GetConVarFloat(g_database_winner) == 1)
					{
						new ggWinner = iAttacker;
						UpdateWinner(ggWinner);
					}
					Call_StartForward(RoundEndSound);
					Call_Finish();
					Call_StartForward(RoundEndOverlay);
					Call_Finish();
					if (!IsFakeClient(iAttacker))
					{
						Show_ggWinner(iAttacker);
					}
					LogEvent("gg_win", iAttackerID);
					Call_StartForward(OnGGWin);
					Call_PushCell(iAttacker);
					Call_Finish();
					
					if (FindPluginByFile("dods_bots.smx") != INVALID_HANDLE)
					{
						ServerCommand("sm plugins unload dods_bots.smx");
					}
					if (GetConVarFloat(g_runvoteenable) == 1)
					{
						ServerCommand("sm_mapvote_dontchange 0");
						ServerCommand("sm_mapvote_extend 0");
						ServerCommand("sm_mapvote_endvote 0");
						CreateTimer(GetConVarFloat(g_bonustimevote), Timer_EndGame, TIMER_FLAG_NO_MAPCHANGE);
						if (GetConVarFloat(g_votesoundfile) == 1)
						{
							EmitSoundToAll(g_sSoundvote);
						}
					}
					if (GetConVarFloat(g_runvoteenable) == 0)
					{
						CreateTimer(GetConVarFloat(g_bonustime), Timer_EndGame, TIMER_FLAG_NO_MAPCHANGE);
					}
					if (!StrEqual(g_sSoundWin, ""))
					{
						EmitSoundToAll(g_sSoundWin);
					}
					decl String:Runcommand[256];
					GetConVarString(g_runcommand, Runcommand, sizeof(Runcommand));
					ServerCommand("%s", Runcommand);
					if (GetConVarFloat(g_runvoteenable) == 1)
					{
						CreateTimer(10.0, Timer_MapVote, TIMER_FLAG_NO_MAPCHANGE);
					}
					// REMOVE CLIENT WEAPONS
					for(new client = 1; client <= MaxClients; client++)
					{
						if(IsClientInGame(client) && IsPlayerAlive(client) && !IsFakeClient(client))
						{
						for (new i = 0, s; i < 5; i++)
							{
								if ((s = GetPlayerWeaponSlot(client, i)) != -1)
								{
									RemoveWeapon(client, s);
								}
							}
						GivePlayerItem(client, "weapon_spade");
						}
						if(IsClientInGame(client) && IsPlayerAlive(client) && IsFakeClient(client))
 						{
							KickClient(client);
						}
					}
					// KICK BOTS FROM SPEC
					for(new client = 1; client <= MaxClients; client++)
					{
						if(IsClientInGame(client) && IsFakeClient(client))
						{
							KickClient(client);
						}
					}
				}
			}
		}
	}
}

public Action:OnTakeDamage(victim, &attacker, &inflictor, &Float:damage, &damagetype)
{
	if(g_bEnabled && g_ggWinner != -1 && GetConVarInt(g_bonustimekill) == 0)
	{
		damage *= 0.0;
		return Plugin_Changed;
	}
	return Plugin_Continue;
}

public OnClientPostAdminCheck(client)
{
	IsProtected[client] = false;
	if (g_bEnabled && g_ggWinner == -1 && !StrEqual(g_sSoundJoin, ""))
	{
		EmitSoundToClient(client, g_sSoundJoin);
	}
	new iClients  = GetTeamClientCount(2) + GetTeamClientCount(3), iLevel = 0;
	if (GetConVarBool(g_hHandicap) && iClients > 0)
	{
		for (new i  = 1; i <= MaxClients; i++)
		{
			if (IsClientInGame(i) && GetClientTeam(i) > 1)
			{
				iLevel += GetLevel(i);
			}
		}
		g_iLevel[client] = iLevel / iClients;
	}
	else
	{
		g_iLevel[client] = 1;
	}
	g_iWeapon[client]  = -1;
}

public ConVarChange_Enabled(Handle:convar, const String:oldValue[], const String:newValue[])
{
	g_bEnabled  = StrEqual(newValue, "1");

	ServerCommand("mp_clan_restartround 1");

	decl iLevel[MAXPLAYERS + 1] = {1, ...};
	g_iLevel                    = iLevel;
}

public MenuHandler_Give(Handle:menu, MenuAction:action, param1, param2)
{
	if (action == MenuAction_End)
	{
		CloseHandle(menu);
	}
	else if (action == MenuAction_Select)
	{
		GiveWeapon(param1);
	}
}

public Action:Command_Drop(client, args)
{
	return g_bEnabled ? Plugin_Handled : Plugin_Continue;
}


public Action:Timer_MapVote(Handle:timer)
{
	decl String:Runvote[256];
	GetConVarString(g_runvote, Runvote, sizeof(Runvote));
	ServerCommand("%s", Runvote);
}

public Action:Show_ggWinner(ggWinner)
{
	new Handle:ggWinnerMenu = INVALID_HANDLE;
	ggWinnerMenu = CreatePanel();
	decl String:menutitle[256];
	Format(menutitle, sizeof(menutitle), "DoD GunGame");
	SetPanelTitle(ggWinnerMenu, menutitle);
	DrawPanelItem(ggWinnerMenu, "", ITEMDRAW_SPACER);
	decl String:Winner[256];
	Format(Winner, sizeof(Winner), "%t %N", "win1phrase", ggWinner);
	DrawPanelText(ggWinnerMenu, Winner);
	DrawPanelItem(ggWinnerMenu, "", ITEMDRAW_SPACER);
	if (GetConVarFloat(g_runvoteenable) == 0)
	{
		decl String:sNextMap[32];
		GetConVarString(g_hNextMap, sNextMap, sizeof(sNextMap));
		decl String:NextMap[256];
		Format(NextMap, sizeof(NextMap), "%t %s", "win2phrase", sNextMap);
		DrawPanelText(ggWinnerMenu, NextMap);
		DrawPanelItem(ggWinnerMenu, "", ITEMDRAW_SPACER);
	}
	SetPanelCurrentKey(ggWinnerMenu, 10);
	DrawPanelItem(ggWinnerMenu, "Close", ITEMDRAW_CONTROL);
	for(new i = 1; i <= MaxClients; i++)
	{
		if(IsClientInGame(i))
		{
			SendPanelToClient(ggWinnerMenu, i, Handle_ggWinnerMenu, 14);
		}
	}
	if((GetConVarInt(g_TeamWallRemoveGameEnd) == 1) && (GetConVarInt(g_TeamWallRemoveGame) == 0))
	{
		new entity = -1;
		for (new i = 0; i < sizeof(g_szTeamWalls); i++)
		{
		while ((entity = FindEntityByClassname(entity, g_szTeamWalls[i])) != -1)
			{
				AcceptEntityInput(entity, "Kill");
			}
		}
	}
}

public Handle_ggWinnerMenu(Handle:TeamStatsMenu, MenuAction:action, client, itemNum)
{
}


public Action:Event_RoundStart(Handle:event, const String:name[], bool:dontBroadcast)
{
	new entity = -1;
	if (GetConVarInt(g_CPdisable) == 1)
	{
		for (new i = 0; i < sizeof(g_szObjectives); i++)
		{
			while ((entity = FindEntityByClassname(entity, g_szObjectives[i])) != -1)
			{
				AcceptEntityInput(entity, "Kill");
			}
		}
		entity = -1;
		while ((entity = FindEntityByClassname(entity, "dod_control_point")) != -1)
		{
			AcceptEntityInput(entity, "HideModel");
		}
	}
	if (GetConVarInt(g_TeamWallRemoveGame) == 1)
	{
		entity = -1;
		for (new i = 0; i < sizeof(g_szTeamWalls); i++)
		{
			while ((entity = FindEntityByClassname(entity, g_szTeamWalls[i])) != -1)
			{
				AcceptEntityInput(entity, "Kill");
			}
		}
	}
}

public Action:Timer_EndGame(Handle:timer)
{
	new iGameEnd  = FindEntityByClassname(-1, "game_end");
	if (iGameEnd == -1 && (iGameEnd = CreateEntityByName("game_end")) == -1)
	{
		LogError("Unable to create entity \"game_end\"!");
	}
	else
	{
		AcceptEntityInput(iGameEnd, "EndGame");
	}
}

public Action:Timer_Give(Handle:timer,  any:client)
{
	if(IsClientInGame(client) && IsPlayerAlive(client))
	{
		GiveWeapon(client);
	}
}

public Action:Spade_Loss(Handle:timer,  any:client)
{
	if(IsClientInGame(client) && IsPlayerAlive(client))
	{
		for (new i = 0, s; i < 5; i++)
		{
			if ((s = GetPlayerWeaponSlot(client, i)) != -1)
			{
				RemoveWeapon(client, s);
			}
		}
		PrintToChatAll("%s \x06%N \x04%t", g_sPrefix, client, "Team Kill Spade");
		GivePlayerItem(client, "weapon_spade");
		if ((GetConVarInt(g_gungame_punishment) == 4) || (GetConVarInt(g_gungame_punishment) == 5))
		{
			SetEntityHealth(client, GetConVarInt(g_spadeknifehealth));
			PrintToChat(client, "PUNISHMENT HEALTH");
		}
	}
}

GiveWeapon(iClient)
{
	decl iWeapon, String:sWeapon[24];
	new iLevel = g_iOldLevel[iClient] = g_iLevel[iClient];
	Format(sWeapon, sizeof(sWeapon), "weapon_%s", g_sWeapon[iLevel]);

	if ((IsValidEntity(g_iWeapon[iClient])) && (iLevel >=1))
	{
		RemoveWeapon(iClient, g_iWeapon[iClient]);
	}
	else
	{
		if (iLevel <1)
		{
			NoWeaponCheck_remove2(iClient);
		}
	}
	if (GetConVarBool(g_hSpades) && (iWeapon = GetPlayerWeaponSlot(iClient, 2)) != -1 && (StrEqual(g_sWeapon[iLevel], "amerknife") ||  StrEqual(g_sWeapon[iLevel], "spade")))
	{
		RemoveWeapon(iClient, iWeapon);
	}
	g_iWeapon[iClient] = GivePlayerItem(iClient, sWeapon);
	if(StrEqual(g_sWeapon[iLevel], "frag_ger") || StrEqual(g_sWeapon[iLevel], "frag_us"))
	{
		SetEntData(iClient, g_iAmmo[iLevel], GetConVarInt(g_nades), _, true);
		PrintHintText(iClient, "%t", "grenades", GetConVarInt(g_nades));
		PrintToChat(iClient, "%s%t", g_sPrefix, "grenades", GetConVarInt(g_nades));
	}
	else if(StrEqual(g_sWeapon[iLevel], "spade") || StrEqual(g_sWeapon[iLevel], "amerknife"))
	{
		SetEntityHealth(iClient, GetConVarInt(g_spadeknifehealth));
		PrintToChat(iClient, "%s%t", g_sPrefix, "spadeknifehealth2", GetConVarInt(g_spadeknifehealth));
	}
	else
	{
		if (IsValidEntity(g_iWeapon[iClient]))
		{
			if ((g_iAmount[iClient] = GetEntData(g_iWeapon[iClient], g_iClip)) < 1)
			{
				g_iAmount[iClient]    = 1;
			}
			if (g_iAmmo[iLevel]     > 0)
			{
				SetEntData(iClient, g_iAmmo[iLevel], g_iAmount[iClient] * 2, _, true);
			}
		}
		else
		{
			if (IsValidClient(iClient))
			{
				CreateTimer(0.1, NoWeaponCheck_CLIP, iClient, TIMER_FLAG_NO_MAPCHANGE);
			}	
		}	
	}
}

GetLeader()
{
	new iLeader = 0;
	for (new i  = 1; i <= MaxClients; i++)
	{
		if (IsClientInGame(i) && g_iLevel[i] > g_iLevel[iLeader])
		{
			iLeader = i;
		}
	}

	return iLeader;
}

GetLevel(iClient)
{
	if (GetConVarBool(g_hTurbo))
	{
		return g_iLevel[iClient];
	}
	else
	{
		return g_iOldLevel[iClient];
	}
}


LogEvent(const String:sName[], iUserID)
{
	decl String:sAuth[32];
	new iClient = GetClientOfUserId(iUserID);
	decl String:sTeam[32];
	if(GetClientTeam(iClient) == 2)
		{
		Format(sTeam, sizeof(sTeam), "Allies");
		}
		else
		{
		Format(sTeam, sizeof(sTeam), "Axis");
		}
	//GetClientAuthString(iClient, sAuth, sizeof(sAuth));
	GetClientAuthId(iClient, AuthId_Steam2, sAuth, sizeof(sAuth));
	LogToGame("\"%N<%d><%s><%s>\" triggered \"%s\"", iClient, iUserID, sAuth, sTeam, sName);
}

RemoveWeapon(iClient, iWeapon)
{
	CreateTimer(3.0, NoWeaponCheck_remove, iClient, TIMER_FLAG_NO_MAPCHANGE);
	CreateTimer(12.0, NoWeaponCheck_remove, iClient, TIMER_FLAG_NO_MAPCHANGE);
	if (IsValidEdict(iWeapon))
	{
		RemovePlayerItem(iClient, iWeapon);
		//RemoveEdict(iWeapon);
		AcceptEntityInput(iWeapon, "kill");
	}
}


public Action:randomjoinclass(Handle:timer, any:client)
{
	if (IsClientInGame(client))
	{
		FakeClientCommand(client, "cls_random");
		ShowVGUIPanel(client, "class_ger", INVALID_HANDLE, false);
		ShowVGUIPanel(client, "class_us", INVALID_HANDLE, false);
	}
}

public Action:Event_PlayerTeam(Handle:event, const String:Name[], bool:DontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if((GetConVarInt(g_TeamLockGG) == 1) && (client != 0))
	{
		CreateTimer(0.1, randomjoinclassteam, client, TIMER_FLAG_NO_MAPCHANGE);
	}
}

public Action:randomjoinclassteam(Handle:timer, any:client)
{
	if (IsClientInGame(client))
	{
		FakeClientCommand(client, "cls_random");
		ShowVGUIPanel(client, "class_us", INVALID_HANDLE, false);
		ShowVGUIPanel(client, "class_ger", INVALID_HANDLE, false);
	}
}

public OnEntityCreated(iEntity, const String:szEntityName[])
{
	if(GetConVarInt(g_NadeLaserEffect) == 1)
	{
		for (new i = 0; i < sizeof(g_szGrenadeTypes); i++)
		{
			if (StrEqual(szEntityName, g_szGrenadeTypes[i]))
			{
				SDKHook(iEntity, SDKHook_Spawn, OnEntitySpawn);
				break;
			}
		}
	}
}

public OnEntitySpawn(iEntity)
{
	if(GetConVarInt(g_NadeLaserEffect) == 1)
	{
		new client = GetEntPropEnt(iEntity, Prop_Send, "m_hOwnerEntity");
		new team = GetClientTeam(client);
		if((team == ALLIES) && (IsClientInGame(client)))
		{
			TE_SetupBeamFollow(iEntity, g_iBeamSprite, -1, 1.0, 10.0, 10.0, 5, greencolor);
			TE_SendToAll();
		}
		else
		{
			TE_SetupBeamFollow(iEntity, g_iBeamSprite, -1, 1.0, 10.0, 10.0, 5, redcolor);
			TE_SendToAll();
		}
	}
}

public Event_DodStatsWeaponAttack(Handle:event, const String:name[], bool:dontBroadcast)
{
	if (GetConVarInt(g_gungame_rapidfirepistol) == 1)
	{
		new weapon = GetEventInt(event, "weapon");
		new client = GetClientOfUserId(GetEventInt(event, "attacker"));
		new weaponindex;
		switch (weapon)
		{
			case 3, 4:
			{
				weaponindex = GetPlayerWeaponSlot(client, 1);
			}
		}
		if (weaponindex != -1)
		{
			SetEntData(weaponindex, g_offset1rapid, 1000, 4, true);
			SetEntData(weaponindex, g_offset2rapid, 2, 4, true);
		}
	}

	if (GetConVarInt(g_gungame_rapidfirebazooka) == 1)
	{
		new weapon = GetEventInt(event, "weapon");
		new client = GetClientOfUserId(GetEventInt(event, "attacker"));
		new weaponindex;
		switch (weapon)
		{
			case 17, 18:
			{
				weaponindex = GetPlayerWeaponSlot(client, 0);
			}
		}
		if (weaponindex != -1)
		{
			new Float:curTime = GetGameTime();
			SetEntData(weaponindex, g_offset1rapid, curTime + (GetConVarFloat(g_gungame_rapidfirebazdelay)), 4, true);
			SetEntData(weaponindex, g_offset2rapid, 2, 4, true);
		}
	}

	if(GetConVarInt(g_bazookashakeeffect) == 1)
	{
		new weaponid = GetEventInt(event, "weapon");
		new client;
		client = GetClientOfUserId(GetEventInt(event, "attacker"));
		if ((weaponid == 17 || weaponid == 18) && (IsClientInGame(client)))
		{
			Shake(client, GetConVarFloat(g_bazookashakeeffect_amp), GetConVarFloat(g_bazookashakeeffect_dur));
		}
	}
}

public Action:DisplayMsgOn(Handle:timer, any:client)
{
	if(IsPlayerValid(client))
	{
		PrintToChat(client, "%s%t", g_sPrefix, "spawnpromessageon");
	}
	return Plugin_Handled;
}

public Action:SpawnProtectOff(Handle:timer, any:client)
{
	SpawnProtectTimer[client] = INVALID_HANDLE;
	if(IsPlayerValid(client))
	{
		IsProtected[client] = false;
		SetEntProp(client, Prop_Data, "m_takedamage", 2, 1);
		SetEntityRenderColor(client);
		if(GetConVarInt(SpawnProtectMsg) == 1)
		{
			PrintToChat(client, "%s%t", g_sPrefix, "spawnpromessageoff");
		}
		return Plugin_Handled;
	}
	return Plugin_Handled;
}

KillSpawnProtTimer(client)
{
	IsProtected[client] = false;
	if(SpawnProtectTimer[client] != INVALID_HANDLE)
	{
		CloseHandle(SpawnProtectTimer[client]);
	}
	SpawnProtectTimer[client] = INVALID_HANDLE;
}

bool:IsPlayerValid(client)

{
	if(IsClientInGame(client) && IsPlayerAlive(client) && GetClientTeam(client) > 1)
	{
		return true;
	}
	return false;
}


stock Shake(client, Float:flAmplitude, Float:flDuration)
{
	new Handle:hBf = StartMessageOne("Shake", client);
	if(hBf != INVALID_HANDLE)
	{
		BfWriteByte(hBf, 0);
		BfWriteFloat(hBf, flAmplitude);
		BfWriteFloat(hBf, 1.0);
		BfWriteFloat(hBf, flDuration);
		EndMessage();
	}
}

RemoveFlagSound()
{
	if (GetConVarInt(g_CPdisable) == 1)
	{
		static soundOffset;
		new entity = -1;
		while ((entity = FindEntityByClassname(entity, "ambient_generic")) != -1)
		{
			if (!soundOffset && (soundOffset = FindDataMapOffs(entity, "m_iszSound")) == -1)
			{
				LogError("Error: Unable to find datamap offset: \"m_iszSound\"!");
				return;
			}
			decl String:sound[64];
			GetEntDataString(entity, soundOffset, sound, sizeof(sound));
			if (StrEqual(sound, FlagSnd))
			{
				AcceptEntityInput(entity, "Kill");
			}
		}
	}
}

public Action:HookFlagSound(String:sample[PLATFORM_MAX_PATH], &entity, &Float:volume, &level, &pitch, Float:pos[3], &flags, &Float:delay)
{
	if(StrEqual(sample, FlagSnd))
	{
		return Plugin_Stop;
	}
	return Plugin_Continue;
}

stock DoubleJump(const any:client)
{
	new fCurFlags = GetEntityFlags(client), fCurButtons = GetClientButtons(client);
	if (g_fLastFlags[client] & FL_ONGROUND)
	{
		if (!(fCurFlags & FL_ONGROUND) && !(g_fLastButtons[client] & IN_JUMP) && fCurButtons & IN_JUMP)
		{
			OriginalJump(client);
		}
	}
	else if (fCurFlags & FL_ONGROUND)
	{
		Landed(client);
	}
	else if (!(g_fLastButtons[client] & IN_JUMP) && fCurButtons & IN_JUMP)
	{
		ReJump(client);
	}
	g_fLastFlags[client]	= fCurFlags;
	g_fLastButtons[client]	= fCurButtons;
}

stock OriginalJump(const any:client)
{
	g_iJumps[client]++;
}

stock Landed(const any:client)
{
	g_iJumps[client] = 0;
}

stock ReJump(const any:client)
{
	if ( 1 <= g_iJumps[client] <= g_iJumpMax)
	{
		g_iJumps[client]++;
		decl Float:vVel[3];
		GetEntPropVector(client, Prop_Data, "m_vecVelocity", vVel);
		vVel[2] = g_flBoost;
		TeleportEntity(client, NULL_VECTOR, NULL_VECTOR, vVel);
	}
}

public convar_ChangeBoost(Handle:convar, const String:oldVal[], const String:newVal[])
{
	g_flBoost = StringToFloat(newVal);
}

public convar_ChangeEnable(Handle:convar, const String:oldVal[], const String:newVal[])
{
	if (StringToInt(newVal) >= 1)
	{
		g_bDoubleJump = true;
	}
	else
	{
		g_bDoubleJump = false;
	}
}

public convar_ChangeMax(Handle:convar, const String:oldVal[], const String:newVal[])
{
	g_iJumpMax = StringToInt(newVal);
}

public convar_Changeg_gungame_custom_on(Handle:convar, const String:oldVal[], const String:newVal[])
{
	LogToGame("GUNGAME CUSTOM CONFIG CHANGED!!");
	ServerCommand("mp_clan_restartround 3");
	decl iLevel[MAXPLAYERS + 1] = {1, ...};
	g_iLevel                    = iLevel;
	LoadConfig2();
}


public Action:ShowGGHelp(client, args)
{
	new String:URLtoWebsite[256];
	GetConVarString(g_ShowGGHelp, URLtoWebsite, sizeof(URLtoWebsite));
	ShowMOTDPanel(client, "GunGame Help Page", URLtoWebsite, MOTDPANEL_TYPE_URL);
}

public Action:ShowGGtop10(client, args)
{
	if (GetConVarFloat(g_database_winner) == 1)
	{
		new String:URLtotopsite[256];
		GetConVarString(g_database_website, URLtotopsite, sizeof(URLtotopsite));
		ShowMOTDPanel(client, "GunGame Help Page", URLtotopsite, MOTDPANEL_TYPE_URL);
	}
}

public OnPluginEnd()
{

}

public IsValidClient(client)
{
   if ( !( 1 <= client <= MaxClients ) || !IsClientInGame(client) )
        return false;

   return true;
}