public OnPluginStart()
{
	CreateConVar("sm_gungame_version", PLUGIN_VERSION, "DoD:S GunGame for SourceMod", FCVAR_PLUGIN | FCVAR_REPLICATED | FCVAR_NOTIFY);
	g_hEnabled  = CreateConVar("sm_gungame_enabled",  "1", "Enable/disable DoD:S GunGame", FCVAR_PLUGIN);
	g_hHandicap = CreateConVar("sm_gungame_handicap", "0", "Enable/disable Handicap mode", FCVAR_PLUGIN);
	g_hSpades   = CreateConVar("sm_gungame_spades",   "1", "Enable/disable spades", FCVAR_PLUGIN);
	g_hSpadePro = CreateConVar("sm_gungame_spadepro", "1", "Enable/disable Spade Pro mode", FCVAR_PLUGIN);
	g_hTurbo    = CreateConVar("sm_gungame_turbo",    "1", "Enable/disable Turbo mode", FCVAR_PLUGIN);
	g_bonustime    = CreateConVar("sm_gungame_bonustime",    "15", "Length of Bonusround", FCVAR_PLUGIN, true, 10.0, true, 60.0);
	g_bonustimekill    = CreateConVar("sm_gungame_bonustimekill",    "0", "Enable/Disable Kills during bonusround", FCVAR_PLUGIN);
	g_nades    = CreateConVar("sm_gungame_maxnades",    "10", "How many frag grenades that are allowed", FCVAR_PLUGIN, true, 1.0, true, 99.0);
	g_runspeed    = CreateConVar("sm_gungame_melee",    "1.0", "Speed for spade/knife level for permanent run", FCVAR_PLUGIN, true, 0.7, true, 3.0);
	g_runspeed2    = CreateConVar("sm_gungame_roundend",    "1.2", "Speed of player when the round has ended", FCVAR_PLUGIN, true, 0.5, true, 3.0);
	g_runcommand    = CreateConVar("sm_gungame_runcommand",    "sm_fireworks_start", "Command executed on gameEnd", FCVAR_PLUGIN, true, 0.0, true, 1.0);
	g_spadeknifehealth	 = CreateConVar("sm_gungame_spadeknifehealth", "120", "Health on Spade/Knife Level", FCVAR_PLUGIN, true, 100.0, true, 160.0);
	g_runvote    = CreateConVar("sm_gungame_runvote",    "sm_mapvote", "Vote Map Command executed on gameEnd", FCVAR_PLUGIN, true, 0.0, true, 1.0);
	g_runvoteenable    = CreateConVar("sm_gungame_runvoteenable",    "0", "Enable/disable Vote Map Command on gameEnd", FCVAR_PLUGIN);
	g_bonustimevote   = CreateConVar("sm_gungame_bonustimevote",    "45", "Length of Bonusround when Endvote is enabled", FCVAR_PLUGIN, true, 25.0, true, 60.0);
	g_votebeforeend    = CreateConVar("sm_gungame_votebeforeend",    "0", "Enable/disable SM Vote X weapons before last level", FCVAR_PLUGIN);
	g_votebeforeendlevel    = CreateConVar("sm_gungame_votebeforeend_levels",    "3", "Vote how many weapons before last level", FCVAR_PLUGIN, true, 1.0, true, 7.0);
	g_votesoundfile    = CreateConVar("sm_gungame_votesoundfile",    "0", "Enable/disable Vote Sound when Vote starts", FCVAR_PLUGIN);
	g_lastlevelcenterinfo    = CreateConVar("sm_gungame_lastlevelcenterinfo",    "1", "Enable/disable Prints a message on screen center when a player reaches last level", FCVAR_PLUGIN);
	g_SpecLockGG    = CreateConVar("sm_gungame_speclock",    "0", "Enable/disable Spectator locked during Bonusround", FCVAR_PLUGIN);
	g_TeamLockGG    = CreateConVar("sm_gungame_teamlock",    "1", "Enable/disable autojoin class when selected a Team", FCVAR_PLUGIN);
	g_CPdisable		= CreateConVar("sm_gungame_cpdisable",   "1", "Enable(0)/disable(1) Control Point Icons, Flags and FlagSound", FCVAR_PLUGIN);
	g_NadeLaserEffect		= CreateConVar("sm_gungame_nadelasereffect",   "0", "Enable/disable Laser effect on Nades", FCVAR_PLUGIN);
	SpawnProtectOn = CreateConVar("sm_gungame_spawnprotect", "1", " Enable/disable protecting players after spawning", FCVAR_PLUGIN);
	SpawnProtectTime = CreateConVar("sm_gungame_spawnprotect_time", "3", "Time in seconds to prevent players from taking damage after spawning.", FCVAR_PLUGIN, true, 2.0, true, 10.0);
	SpawnProtectMsg = CreateConVar("sm_gungame_spawnprotect_message", "1", "Enable/disable displaying SpawnProt messages", FCVAR_PLUGIN);
	g_TeamWallRemoveGame = CreateConVar("sm_gungame_teamwallremove_game", "0", "Enable/disable removing func_team_walls during Game", FCVAR_PLUGIN);
	g_TeamWallRemoveGameEnd = CreateConVar("sm_gungame_teamwallremove_gameend", "1", "Enable/disable removing func_team_walls during Bonusround", FCVAR_PLUGIN);
	g_bazookashakeeffect = CreateConVar("sm_gungame_bazooka_shake_effect", "0", "Enable/disable the Bazooka shake effect", FCVAR_PLUGIN);
	g_bazookashakeeffect_amp = CreateConVar("sm_gungame_bazooka_shake_effect_amp", "15.0", "Amplitude for the Bazooka shake effect", FCVAR_PLUGIN, true, 5.0, true, 100.0);
	g_bazookashakeeffect_dur = CreateConVar("sm_gungame_bazooka_shake_effect_dur", "1.5", "Duration for the Bazooka shake effect", FCVAR_PLUGIN, true, 1.0, true, 5.0);
	g_gungame_custom_on = CreateConVar("sm_gungame_custom", "0", "!! YOU MUST DELETE THESE CONVAR FROM THE CONFIG FILE !! ", FCVAR_PLUGIN); // | FCVAR_DONTRECORD);
	g_gungame_customtext1 = CreateConVar("sm_gungame_custom_text1", "SPADE ONLY VERSION ENABLED", "set the text you want to print on centerscreen on custom weaponlist 1", FCVAR_PLUGIN);
	g_gungame_customtext2 = CreateConVar("sm_gungame_custom_text2", "CUSTOM WEAPON LIST LOADED", "set the text you want to print on centerscreen on custom weaponlist 2", FCVAR_PLUGIN);
	g_gungame_rapidfirebazooka = CreateConVar("sm_gungame_rapidfirebazooka", "0", "Enable/disable Rapid Fire with the Rocket Launchers", FCVAR_PLUGIN);
	g_gungame_rapidfirebazdelay = CreateConVar("sm_gungame_rapidfirebazooka_delay", "3", "Time between the shots of the Rocket Launchers", FCVAR_PLUGIN, true, 1.0, true, 15.0);
	g_gungame_rapidfirepistol = CreateConVar("sm_gungame_rapidfirepistol", "0", "Enable/disable Rapid Fire with the P38/Colt", FCVAR_PLUGIN);
	g_cvJumpEnable = CreateConVar("sm_gungame_doublejump_enabled", "0",	"Enables double-jumping on Spade/Knife",FCVAR_PLUGIN);
	g_cvJumpBoost = CreateConVar("sm_gungame_doublejump_boost", "280.0", "The amount of vertical boost to apply to double jumps",FCVAR_PLUGIN, true, 260.0, true, 350.0);
	g_cvJumpMax = CreateConVar("sm_gungame_doublejump_max", "1", "The maximum number of re-jumps allowed while already jumping",FCVAR_PLUGIN, true, 1.0, true, 5.0);
	g_gungame_punishment = CreateConVar("sm_gungame_punishment",  "1", "Type of team kill punishment. (0 = Disabled, 1 = Level loss, 2 = Give spade, 3 = Give Spade & Level loss, 4 = Give Spade & Give Health, 5 = Give Spade & Give Health & Level loss)", FCVAR_PLUGIN);
	g_ShowGGHelp = CreateConVar("sm_gungame_helpurl", "http://your-website-here/gghelp.html", "URL to the GG Help html file", FCVAR_PLUGIN);
	g_database_winner    = CreateConVar("sm_gungame_database_winner", "0", "Disable(0)/Enable(1) storing GG Winner into MySQL Database - only enable if you know what you are doing", FCVAR_PLUGIN);
	g_database_website = CreateConVar("sm_gungame_database_web", "http://your-website-here/gghelp.html", "URL to the GG TOP 10 Page", FCVAR_PLUGIN);
	g_healthONlevelup = CreateConVar("sm_gungame_health_on_levelup", "0", "disable(0) / enable(1) give Health on LevelUp", FCVAR_PLUGIN);
	g_healthONlevelupvar = CreateConVar("sm_gungame_health_on_levelup_var", "15", "how much Health a player gets when leveling up(only when he is lower then 100 minus this variable)", FCVAR_PLUGIN, true, 5.0, true, 50.0);

	HookEventEx("player_spawn", OnPlayerSpawn, EventHookMode_Post);
	g_iClip     = FindSendPropInfo("CBaseCombatWeapon", "m_iClip1");
	g_iOffset   = FindSendPropInfo("CBasePlayer",       "m_iAmmo");
	HookConVarChange(g_hEnabled, ConVarChange_Enabled);
	HookEvent("dod_round_start", Event_RoundStart);
	HookEvent("player_death",    Event_PlayerDeath);
	HookEvent("player_spawn",    Event_PlayerSpawn);
	HookEvent("dod_stats_weapon_attack",	Event_DodStatsWeaponAttack);
	HookEvent("player_team",     Event_PlayerTeam, EventHookMode_Post);
	RegConsoleCmd("drop", Command_Drop, "Block weapons from being dropped in DoD:S GunGame.");
	RegConsoleCmd("gghelp", ShowGGHelp);
	RegConsoleCmd("ggtop", ShowGGtop10);
	AutoExecConfig(true, "dod_gungame_config", "dod_gungame_config");
	LoadTranslations("dod_gungame.phrases");
	RoundEndSound = CreateGlobalForward("g_RoundEndSound", ET_Event);
	RoundEndOverlay = CreateGlobalForward("g_RoundEndOverlay", ET_Event);
	AddAmbientSoundHook(AmbientSHook:HookFlagSound);
	HookConVarChange(g_gungame_custom_on,		convar_Changeg_gungame_custom_on);
	HookConVarChange(g_cvJumpBoost,		convar_ChangeBoost);
	HookConVarChange(g_cvJumpEnable,	convar_ChangeEnable);
	HookConVarChange(g_cvJumpMax,		convar_ChangeMax);
	g_bDoubleJump	= GetConVarBool(g_cvJumpEnable);
	g_flBoost		= GetConVarFloat(g_cvJumpBoost);
	g_iJumpMax		= GetConVarInt(g_cvJumpMax);
	
	OnLevelUp  = CreateGlobalForward("OnLevelUp",  ET_Event, Param_Cell);
	OnLevelDown  = CreateGlobalForward("OnLevelDown",  ET_Event, Param_Cell);
	OnLevelSteal = CreateGlobalForward("OnLevelSteal", ET_Event, Param_Cell);
	OnGGWin      = CreateGlobalForward("OnGGWin",      ET_Event, Param_Cell);
}